Fixed Markdown markup.
sftp_readdir_async(): don't access request when it may have been freed

Fixes: #7
sftp_readdir_async(): don't access request when it may have been freed

Fixes: #7
sftp_readdir_async(): don't access request when it may have been freed

Fixes: #7
